Vector BLF

Loading...
Searching...
No Matches
Vector::BLF::LinBusEvent Struct Reference

`#include <LinBusEvent.h>`

Inheritance diagram for Vector::BLF::LinBusEvent:

## Public Member Functions
| LinBusEvent (const LinBusEvent &)=default
LinBusEvent & | operator= (const LinBusEvent &)=default
| LinBusEvent (LinBusEvent &&)=default
LinBusEvent & | operator= (LinBusEvent &&)=default
virtual void | read (AbstractFile &is)
virtual void | write (AbstractFile &os)
virtual uint32_t | calculateObjectSize () const

## Public Attributes
uint64_t | sof {}
| Start Of Frame timestamp.
uint32_t | eventBaudrate {}
| Baudrate of the event in bit/sec.
uint16_t | channel {}
| application channel
uint16_t | reservedLinBusEvent {}

## Detailed Description

Common header of LIN bus events

## Member Function Documentation

## ◆ calculateObjectSize()

uint32_t Vector::BLF::LinBusEvent::calculateObjectSize | ( |  | ) | const
| virtual

Calculates the objectSize

Returns
  object size

Reimplemented in Vector::BLF::LinCrcError2, Vector::BLF::LinDatabyteTimestampEvent, Vector::BLF::LinLongDomSignalEvent2, Vector::BLF::LinLongDomSignalEvent, Vector::BLF::LinMessage2, Vector::BLF::LinMessageDescriptor, Vector::BLF::LinReceiveError2, Vector::BLF::LinSendError2, Vector::BLF::LinShortOrSlowResponse2, Vector::BLF::LinShortOrSlowResponse, Vector::BLF::LinSpikeEvent2, Vector::BLF::LinSyncError2, Vector::BLF::LinSynchFieldEvent, Vector::BLF::LinUnexpectedWakeup, and Vector::BLF::LinWakeupEvent2.

## ◆ read()

void Vector::BLF::LinBusEvent::read | ( | AbstractFile & | is | ) |
| virtual

Read the data of this object

Parameters

  is | input stream

Reimplemented in Vector::BLF::LinCrcError2, Vector::BLF::LinDatabyteTimestampEvent, Vector::BLF::LinLongDomSignalEvent2, Vector::BLF::LinLongDomSignalEvent, Vector::BLF::LinMessage2, Vector::BLF::LinMessageDescriptor, Vector::BLF::LinReceiveError2, Vector::BLF::LinSendError2, Vector::BLF::LinShortOrSlowResponse2, Vector::BLF::LinShortOrSlowResponse, Vector::BLF::LinSpikeEvent2, Vector::BLF::LinSyncError2, Vector::BLF::LinSynchFieldEvent, Vector::BLF::LinUnexpectedWakeup, and Vector::BLF::LinWakeupEvent2.

## ◆ write()

void Vector::BLF::LinBusEvent::write | ( | AbstractFile & | os | ) |
| virtual

Write the data of this object

Parameters

  os | output stream

Reimplemented in Vector::BLF::LinCrcError2, Vector::BLF::LinDatabyteTimestampEvent, Vector::BLF::LinLongDomSignalEvent2, Vector::BLF::LinLongDomSignalEvent, Vector::BLF::LinMessage2, Vector::BLF::LinMessageDescriptor, Vector::BLF::LinReceiveError2, Vector::BLF::LinSendError2, Vector::BLF::LinShortOrSlowResponse2, Vector::BLF::LinShortOrSlowResponse, Vector::BLF::LinSpikeEvent2, Vector::BLF::LinSyncError2, Vector::BLF::LinSynchFieldEvent, Vector::BLF::LinUnexpectedWakeup, and Vector::BLF::LinWakeupEvent2.

## Member Data Documentation

## ◆ channel

uint16_t Vector::BLF::LinBusEvent::channel {}

application channel

Channel number where the frame/event notified

## ◆ eventBaudrate

uint32_t Vector::BLF::LinBusEvent::eventBaudrate {}

Baudrate of the event in bit/sec.

Baudrate of frame/event in bit/sec

## ◆ reservedLinBusEvent

uint16_t Vector::BLF::LinBusEvent::reservedLinBusEvent {}

reserved

## ◆ sof

uint64_t Vector::BLF::LinBusEvent::sof {}

Start Of Frame timestamp.

Timestamp of frame/event start

The documentation for this struct was generated from the following files:

- LinBusEvent.h
- LinBusEvent.cpp